CREATE TABLE ffs_resource_work_skill (
    RECORD_ID            NUMBER(10, 0),
    RESOURCE_ID          NUMBER(8, 0)     NOT NULL,
    WORK_SKILL_ID        NUMBER(5, 0)     NOT NULL,
    RATIO                NUMBER(3, 0)     NOT NULL,
    START_DATE           DATE             NOT NULL,
    END_DATE             DATE         ,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    RECORD_ID            NUMBER(10, 0),
    RESOURCE_ID          NUMBER(8, 0)     NOT NULL,
    WORK_SKILL_ID        NUMBER(5, 0)     NOT NULL,
    RATIO                NUMBER(3, 0)     NOT NULL,
    START_DATE           DATE             NOT NULL,
    END_DATE             DATE         ,
    CREATED_BY           VARCHAR2(256)    NOT NULL,
    CREATION_DATE        TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128),
    CONSTRAINT pk_ffs_resource_work_skill PRIMARY KEY (RECORD_ID, RECORD_ID)
);
